oracle.xml.xquery

## Interface OXQFileResolverFactory

All Superinterfaces:
  OXQEntityResolverFactory

    public interface OXQFileResolverFactory
    extends OXQEntityResolverFactory

The factory interface that creates resolvers for Java's 'file:' URIs. The entity resolver created by this factory responds to all requests which satisfy the following conditions:

1. The requested entity kind is one of `OXQEntityKind.SCHEMA`, `OXQEntityKind.MODULE`, `OXQEntityKind.DOCUMENT`, `OXQEntityKind.XML_ENTITY`, or `OXQEntityKind.TEXT`
2. The entity locator's `system id` is a 'file:' URI
3. The URI does not contain a fragment component (#fragment)

Since:
  12.1
See Also:
  `File.toURI()`

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.activation.FileTypeMap` `getContentTypeMap()` Returns the content type map that will be used for media type assignment.
`void` `setContentTypeMap(javax.activation.FileTypeMap contentTypeMap)` Sets the content type map that will be used to associate a media type with each resolved URI.

### Methods inherited from interface oracle.xml.xquery.OXQEntityResolverFactory

`createResolver`

### Method Detail

#### setContentTypeMap

    void setContentTypeMap(javax.activation.FileTypeMap contentTypeMap)

Sets the content type map that will be used to associate a media type with each resolved URI. The default content type map is undefined and therefore no media type is assigned to the resolved content by default.

Parameters:
  `contentTypeMap` - type map, or `null` to make it undefined

#### getContentTypeMap

    javax.activation.FileTypeMap getContentTypeMap()

Returns the content type map that will be used for media type assignment.

Returns:
  current type map, or `null` if undefined

Copyright © 2003, 2020, Oracle and/or its affiliates.